#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""The setup script."""

from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

with open('HISTORY.md') as history_file:
    history = history_file.read()

requirements = [
    "webexteamssdk",
    "Flask>=0.12.1"
    ]

setup_requirements = [ ]

test_requirements = [
    "requests_mock",
    "coverage",
    "python-coveralls",
    "flake8"
    ]

setup(
    author="Hank Preston",
    author_email='hank.preston@gmail.com',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        "Programming Language :: Python :: 2",
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
    ],
    description="A Flask based Webex Teams chat bot.",
    install_requires=requirements,
    license="MIT license",
    long_description_content_type="text/markdown",
    long_description=readme + '\n\n' + history,
    include_package_data=True,
    keywords='webexteamsbot',
    name='webexteamsbot',
    packages=find_packages(include=['webexteamsbot']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://github.com/hpreston/webexteamsbot',
    version='0.1.0',
    zip_safe=False,
)
